Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hamcrest
Interface Description

All Known Implementing Classes:
  BaseDescription, StringDescription

    public interface Description

A description of a Matcher. A Matcher will describe itself to a description which can later be used for reporting.

See Also:
  `SelfDescribing.describeTo(Description)`

Method Summary
`Description` | `appendDescriptionOf(SelfDescribing value)` Appends the description of a `SelfDescribing` value to this description.
`Description` | `appendList(String start, String separator, String end, Iterable<? extends SelfDescribing> values)` Appends a list of `SelfDescribing` objects to the description.
`Description` | `appendText(String text)` Appends some plain text to the description.
`Description` | `appendValue(Object value)` Appends an arbitary value to the description.
`
`<T> Description`
` | `appendValueList(String start, String separator, String end, Iterable<T> values)` Appends a list of values to the description.
`
`<T> Description`
` | `appendValueList(String start, String separator, String end, T... values)` Appends a list of values to the description.

Method Detail

### appendText

    Description appendText(String text)

  Appends some plain text to the description.

### appendDescriptionOf

    Description appendDescriptionOf(SelfDescribing value)

  Appends the description of a `SelfDescribing` value to this description.

### appendValue

    Description appendValue(Object value)

  Appends an arbitary value to the description.

### appendValueList

    <T> Description appendValueList(String start,
                                    String separator,
                                    String end,
                                    T... values)

  Appends a list of values to the description.

### appendValueList

    <T> Description appendValueList(String start,
                                    String separator,
                                    String end,
                                    Iterable<T> values)

  Appends a list of values to the description.

### appendList

    Description appendList(String start,
                           String separator,
                           String end,
                           Iterable<? extends SelfDescribing> values)

  Appends a list of `SelfDescribing` objects to the description.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD